com.aliyun.svideosdk.mixrecorder

## Class AliyunMixTrackLayoutParam

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixTrackLayoutParam

-     public class AliyunMixTrackLayoutParam
      extends java.lang.Object

  A class that defines track layouts.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunMixTrackLayoutParam.Builder` `AliyunMixTrackLayoutParam` builder static inner class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getCenterX()` Gets the center x coordinate of the track centroid relative to the origin.
    `float` | `getCenterY()` Gets the center Y coordinate of the track centroid relative to the origin.
    `float` | `getHeightRatio()` Get the height radio of the track relative to the video output height.
    `AliyunMixBorderParam` | `getMixBorderParam()`
    `float` | `getWidthRatio()` Get the width radio of the track relative to the video output width.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCenterX

          public float getCenterX()

      Gets the center x coordinate of the track centroid relative to the origin.
      Returns:
        the center x coordinate

    - #### getCenterY

          public float getCenterY()

      Gets the center Y coordinate of the track centroid relative to the origin.
      Returns:
        the center Y coordinate

    - #### getWidthRatio

          public float getWidthRatio()

      Get the width radio of the track relative to the video output width.
      Returns:
        the width radio

    - #### getHeightRatio

          public float getHeightRatio()

      Get the height radio of the track relative to the video output height.
      Returns:
        the height radio

    - #### getMixBorderParam

          public AliyunMixBorderParam getMixBorderParam()